#ifdef RCSIDS
static char rcsid[] = "$Id: arealight.sl,v 1.1 1995-12-13 11:46:36-08 lg Exp $";
#endif

/*
 * $RCSfile: arealight.sl,v $
 * $Revision: 1.1 $
 * $Date: 1995-12-13 11:46:36-08 $
 *
 * $Log: arealight.sl,v $
 * Revision 1.1  1995-12-13 11:46:36-08  lg
 * Initial revision
 *
 */

/*
 * arealight.sl - light source shader appropriate for an area light source.
 *
 * DESCRIPTION:
 *   Makes light with cosine falloff from the normal of the light source
 *   surface.  This is perfect for using with area light sources.
 *
 * PARAMETERS
 *   intensity, lightcolor - same meanings as pointlight
 *
 * HISTORY:
 *   25 Jan 1994 - translated into correct shading language by lg.
 *
 * last modified 25 Jan 1994
 */

light
arealight (float intensity = 1;
	   color lightcolor = 1;)
{
  float Llen;

  illuminate (P, N, 1.5707963 /* PI/2 */) {
      Llen = sqrt (L.L);
      Cl = intensity * lightcolor * (L.normalize(N)) / (Llen * Llen * Llen);
    }
}
