#ifdef RCSIDS
static char rcsid[] = "$Id: shinymetal.sl,v 1.1 1995-12-13 11:46:36-08 lg Exp $";
#endif

/*
 * $RCSfile: shinymetal.sl,v $
 * $Revision: 1.1 $
 * $Date: 1995-12-13 11:46:36-08 $
 *
 * $Log: shinymetal.sl,v $
 * Revision 1.1  1995-12-13 11:46:36-08  lg
 * Initial revision
 *
 */

/* shinymetal.sl - Standard metal with environment mapping for
 * RenderMan Interface.
 * (c) Copyright 1988, Pixar.
 *
 * The RenderMan (R) Interface Procedures and RIB Protocol are:
 *     Copyright 1988, 1989, Pixar.  All rights reserved.
 * RenderMan (R) is a registered trademark of Pixar.
 */


surface
shinymetal (float Ka = 1;
	    float Ks = 1;
	    float Kr = 1;
	    float roughness = .1;
	    string texturename = "";)
{
  point Nf, V, D;
  color env;

  V = normalize(I);
  Nf = faceforward (normalize(N),V);
  D = reflect (V, Nf);
  D = transform ("world", point "world" (0,0,0) + D);

  if (texturename != "")
      env = Kr * color environment (texturename, D);
  else env = 0;

  Oi = Os;
  Ci = Os * Cs * (Ka*ambient() + Ks*specular(Nf,-V,roughness) + env);
}

