#ifdef RCSIDS
static char rcsid[] = "$Id: spotlight.sl,v 1.1 1995-12-13 11:46:36-08 lg Exp $";
#endif

/*
 * $RCSfile: spotlight.sl,v $
 * $Revision: 1.1 $
 * $Date: 1995-12-13 11:46:36-08 $
 *
 * $Log: spotlight.sl,v $
 * Revision 1.1  1995-12-13 11:46:36-08  lg
 * Initial revision
 *
 */

/* spotlight.sl - Standard spot light source for RenderMan Interface.
 * (c) Copyright 1988, Pixar.
 *
 * The RenderMan (R) Interface Procedures and RIB Protocol are:
 *     Copyright 1988, 1989, Pixar.  All rights reserved.
 * RenderMan (R) is a registered trademark of Pixar.
 */

light
spotlight ( float intensity = 1;
	    color lightcolor = 1;
	    point from = point "shader" (0,0,0);
	    point to = point "shader" (0,0,1);
	    float coneangle = radians(30);
	    float conedeltaangle = radians(5);
	    float beamdistribution = 2; )
{
  float atten, cosangle;
  point A;

  A = (to-from) / length(to-from);
  illuminate (from, A, coneangle) {
      cosangle = (L . A) / length(L);
      atten = pow (cosangle, beamdistribution) / (L . L);
      atten *= smoothstep (cos(coneangle), cos(coneangle-conedeltaangle),
			   cosangle);
      Cl = atten * intensity * lightcolor ;
    }
}

